🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Face Shape

POSThttps://vision.astrologyapi.com/face-reading/shape
Copy

Returns the stored face shape observations for a previously scanned face.

POST/face-reading/shape
Copy
1curl --location 'https://vision.astrologyapi.com/face-reading/shape' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "face_id": "c48d0b80-1d49-4af8-8c05-e778b3d7a00f"
6}'
7
200Response
Copy
1{
2  "status": true,
3  "data": {
4    "type": "oblong",
5    "width_to_length": "longer",
6    "five_element_type": "wood"
7  }
8}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - en

Request Body (JSON)

face_id

string

required

Unique face reading ID returned by get-face-id

Request Description

Fetch face shape details for a stored face reading.

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.